#ifndef ___heap_H
#define ___heap_H

/*
 * Copyright (c) 1995 Picture Elements Inc.
 *	Stephen Williams
 *
 *    This source code is free software; you can redistribute it
 *    and/or modify it in source code form under the terms of the GNU
 *    Library General Public License as published by the Free Software
 *    Foundation; either version 2 of the License, or (at your option)
 *    any later version. In order to redistribute the software in
 *    binary form, you will need a Picture Elements Binary Software
 *    License.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free
 *    Software Foundation, Inc.,
 *    59 Temple Place - Suite 330
 *    Boston, MA 02111-1307, USA
 *
 *    You should also have recieved a copy of the Picture Elements
 *    Binary Software License offer along with the source. This offer
 *    allows you to obtain the right to redistribute the software in
 *    binary (compiled) form. If you have not received it, contact
 *    Picture Elements, Inc.,
 *    777 Panoramic Way
 *    Berkeley, CA 94704.
 */
#ident "$Id: __heap.h,v 1.2 1996/10/28 03:46:14 steve Exp $"
/*
 * $Log: __heap.h,v $
 * Revision 1.2  1996/10/28 03:46:14  steve
 *  License notice.
 *
 * Revision 1.1  1995/09/07 18:25:09  steve
 *  Seperate heap_selftest from other routines.
 *
 */

/*
 * These are declarations private to the heap code.
 */

struct HeapCell {
      HeapCell*next;
      unsigned long size : 24;
      unsigned long free :  8;
};

#endif
