/*
 * Copyright (c) 1997 Picture Elements, Inc.
 *    Stephen Williams
 *
 *    This source code is free software; you can redistribute it
 *    and/or modify it in source code form under the terms of the GNU
 *    Library General Public License as published by the Free Software
 *    Foundation; either version 2 of the License, or (at your option)
 *    any later version. In order to redistribute the software in
 *    binary form, you will need a Picture Elements Binary Software
 *    License.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free
 *    Software Foundation, Inc.,
 *    59 Temple Place - Suite 330
 *    Boston, MA 02111-1307, USA
 *
 *    You should also have recieved a copy of the Picture Elements
 *    Binary Software License offer along with the source. This offer
 *    allows you to obtain the right to redistribute the software in
 *    binary (compiled) form. If you have not received it, contact
 *    Picture Elements, Inc.,
 *    777 Panoramic Way
 *    Berkeley, CA 94704.
 */
#ident "$Id: abort-i960_ise.c,v 1.1 1997/04/19 06:22:02 steve Exp $"
/*
 * $Log: abort-i960_ise.c,v $
 * Revision 1.1  1997/04/19 06:22:02  steve
 *  Loud abort for the ISE board.
 *
 */

# include  <chips/ise_board.h>

/*
 * For the ISE board, make the abort blink red LEDS, so that it is
 * plain to anyone watching that the board has aborted.
 */

void abort(void)
{
      for (;;) {
	    unsigned idx;
	    _ISE_CONTROL = 0x168;

	    for (idx = 0 ;  idx < 10000000 ;  idx += 1)
		    /* delay */ ;

	    _ISE_CONTROL = 0x140;

	    for (idx = 0 ;  idx < 10000000 ;  idx += 1)
		    /* delay */ ;
      }
}
