
#
# Copyright (c) 1996 Picture Elements Inc.
#	Stephen Williams (steve@picturel.com)
#
#    This source code is free software; you can redistribute it
#    and/or modify it in source code form under the terms of the GNU
#    Library General Public License as published by the Free Software
#    Foundation; either version 2 of the License, or (at your option)
#    any later version. In order to redistribute the software in
#    binary form, you will need a Picture Elements Binary Software
#    License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Library General Public License for more details.
#
#    You should have received a copy of the GNU Library General Public
#    License along with this program; if not, write to the Free
#    Software Foundation, Inc.,
#    59 Temple Place - Suite 330
#    Boston, MA 02111-1307, USA
#
#    You should also have recieved a copy of the Picture Elements
#    Binary Software License offer along with the source. This offer
#    allows you to obtain the right to redistribute the software in
#    binary (compiled) form. If you have not received it, contact
#    Picture Elements, Inc.,
#    777 Panoramic Way
#    Berkeley, CA 94704.
#
#ident "$Id: sparc_linux.mk,v 1.3 1996/11/12 00:38:54 steve Exp $"
#
# $Log: sparc_linux.mk,v $
# Revision 1.3  1996/11/12 00:38:54  steve
#  Implement the sparc longjmp, fix the IEEEFP byte
#  extraction for sparc, add the UCR_STACK_ATTRIBUTE
#  definition and get the regress test to work for sparc_linux.
#
# Revision 1.2  1996/11/09 20:29:58  steve
#  Seperate out the sparclinux pause.
#
# Revision 1.1  1996/11/08 21:40:42  steve
#  Divide up thread_create for easier porting, Add the
#  sparc_linux and i386_linux targets, and adjust makefiles
#  to allow for them. Document the new concept of virtual boards.
#
#  Change the linker output file extension to .exe, because
#  some targets use ELF and not COFF.
#
#  Get rid of some trivial warnings.
#
#

TARGET_OBJ := _exit-host.o misc-sparc_linux.o pause-sparclinux.o \
setjmp-sparc.o stubs-linux.o uCR_stack-sparc.o uCR_switch-sparc.o
