
/*
 * Copyright (c) 1995 Picture Elements Inc.
 *	Stephen Williams
 *
 *    This source code is free software; you can redistribute it
 *    and/or modify it in source code form under the terms of the GNU
 *    Library General Public License as published by the Free Software
 *    Foundation; either version 2 of the License, or (at your option)
 *    any later version. In order to redistribute the software in
 *    binary form, you will need a Picture Elements Binary Software
 *    License.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free
 *    Software Foundation, Inc.,
 *    59 Temple Place - Suite 330
 *    Boston, MA 02111-1307, USA
 *
 *    You should also have recieved a copy of the Picture Elements
 *    Binary Software License offer along with the source. This offer
 *    allows you to obtain the right to redistribute the software in
 *    binary (compiled) form. If you have not received it, contact
 *    Picture Elements, Inc.,
 *    777 Panoramic Way
 *    Berkeley, CA 94704.
 */
#ident "$Id: ucr_assert.cc,v 1.4 1996/11/08 01:57:46 steve Exp $"
/*
 * $Log: ucr_assert.cc,v $
 * Revision 1.4  1996/11/08 01:57:46  steve
 *  Silly warning.
 *
 * Revision 1.3  1996/10/28 03:46:47  steve
 *  License notice.
 *
 * Revision 1.2  1996/08/10 04:01:46  steve
 *  ucr_assert should obviously include assert.h
 *
 * Revision 1.1  1996/05/24 01:46:53  steve
 *  Initial port to i960_cyclone
 *  Seperate some files in the library to seperate files
 *  for making smaller binaries, use uCR_ prefix for private
 *  symbols, move assembly files around for compile-time
 *  portability, change __start to ucr_start and give it
 *  new behavior, and simplify the ucr_assert implementation.
 *
 * Revision 1.1  1995/10/17 21:05:13  steve
 *  UCR specific assert.
 *
 */

# include  <assert.h>

/*
 * This supports the assert() macro, and the PANIC() function. To make
 * it the most possibly available, declare it extern "C".
 */
extern "C" void ucr_assert(const char* /*file*/, unsigned /*line*/)
{
      abort();
}
